@import "variables"
@import url('//cdnjs.cloudflare.com/ajax/libs/font-awesome/4.1.0/css/font-awesome.css')
@import "~datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css"

.table .thead-dark th
    background: $dark !important

div.dataTables_paginate
    float: right

div.dataTables_filter
    float: right
    width: 80%
    label
        float: right
        width: 80%
    input
        width: 100%

.table
    overflow: hidden
    th, .table td
        padding: 0.45rem !important
        border: none !important

table.dataTable thead th
    position: relative
    background-image: none !important


table.dataTable thead th.sorting:after,
table.dataTable thead th.sorting_asc:after,
table.dataTable thead th.sorting_desc:after
    position: absolute
    top: 12px
    right: 8px
    display: block
    font-family: "FontAwesome"

table.dataTable thead th.sorting:after
    content: "\f0dc"
    color: #ddd
    font-size: 0.8em
    padding-top: 0.12em

table.dataTable thead th.sorting_asc:after
    content: "\f0de"

table.dataTable thead th.sorting_desc:after
    content: "\f0dd"

//div.dt-buttons
//    position: relative !important
//    float: left !important
///------------------------------------------------------------
@media all and (max-width: $breakpoint-md)
    .card-body
        padding: 0.55rem

    .table td
        padding: 0.45rem

    div.dataTables_filter
        label
            width: 100%

btn-secondary
    padding: 1px 3px !important
    border-radius: 4px !important
    background: $dark !important
    border-color: $dark !important
    color: #fff !important
    margin-right: 5px !important
    height: 37px

.btn-secondary:hover
    color: white !important
    background: $gray !important

.dt-buttons > button
    margin-bottom: 5px !important

.dataTables_wrapper .dataTables_paginate .paginate_button:hover
    color: white !important
    border: none !important
    background-color: white !important
    background: white !important
